Class | YARD::Parser::Ruby::Legacy::RubyLex
In: | lib/yard/parser/ruby/legacy/ruby_lex.rb
Parent: | Object

Lexical analyzer for Ruby source @private

### Methods

char_no debug? get_read getc getc_of_rests gets identify_comment identify_gvar identify_here_document identify_identifier identify_number identify_quotation identify_string lex lex_init lex_int2 line_no new peek peek_equal? read_escape skip_inner_expression token ungetc

### Included Modules

RubyToken IRB

### Classes and Modules

Class YARD::Parser::Ruby::Legacy::RubyLex::BufferedReader

### Constants

ENINDENT_CLAUSE | = | [ "case", "class", "def", "do", "for", "if", "module", "unless", "until", "while", "begin"
ACCEPTS_COLON | = | ["if", "for", "unless", "until", "while"]
DEINDENT_CLAUSE | = | ["end"
PERCENT_LTYPE | = | { "q" => "\'", "Q" => "\"", "x" => "\`", "r" => "/", "w" => "]", "W" => "]"
PERCENT_PAREN | = | { "{" => "}", "[" => "]", "<" => ">", "(" => ")"
Ltype2Token | = | { "\'" => TkSTRING, "\"" => TkSTRING, "\`" => TkXSTRING, "/" => TkREGEXP, "]" => TkDSTRING
DLtype2Token | = | { "\"" => TkDSTRING, "\`" => TkDXSTRING, "/" => TkDREGEXP, }

### Attributes

continue | [R] |
exception_on_syntax_error | [RW] |
indent | [R] |
lex_state | [R] |
read_auto_clean_up | [RW] |
skip_space | [RW] |

### Public Class methods

debug?()
new(content)

### Public Instance methods

char_no()
get_read()
getc()
getc_of_rests()
gets()
identify_comment()
identify_gvar()
identify_here_document()
identify_identifier()
identify_number(start)
identify_quotation(initial_char)
identify_string(ltype, quoted = ltype, opener=nil, initial_char = nil)
lex()
lex_init()
lex_int2()
line_no()

io functions

peek(i = 0)
peek_equal?(str)
read_escape()
skip_inner_expression()
token()
ungetc(c = nil)

[Validate]